> This page is for Developer.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.bigcommerce.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.bigcommerce.com/_mcp/server.

# Absolute Adjustment

PUT https://api.bigcommerce.com/stores/{store_hash}/v3/inventory/adjustments/absolute
Content-Type: application/json

Override the existing inventory levels for an inventory item at a location. Use absolute adjustments as the default method for updating inventory. This endpoint batches requests, making them more resource friendly than the [Catalog API](/developer/api-reference/rest/admin/catalog/products/update-products). Absolute adjustments have lower complexity than [relative adjustments](/developer/api-reference/rest/admin/management/inventory/adjustments/post-relative-adjustment), which synchronize with orders.

**Limits**
* For maximum inventory levels, see [Inventory adjustments](/developer/docs/admin/catalog-and-inventory/inventory-adjustments#inventory-adjustments). 
* Limit of 2000 items for payload length, see [Optimizing performance](/developer/docs/admin/catalog-and-inventory/inventory-adjustments#optimizing-performance) for more information.


Reference: https://docs.bigcommerce.com/developer/api-reference/rest/admin/management/inventory/adjustments/put-absolute-adjustment

## Authentication

- `X-Auth-Token` header (required) — ### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Store Inventory | read-only | `store_inventory_read_only` | | Store Inventory | modify | `store_inventory` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see [API Accounts and OAuth Scopes](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts). For more about BigCommerce OAuth scopes, see [API Accounts and OAuth Scopes](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

## Request

### Path parameters

- `store_hash` (string, required) — Permanent ID of the BigCommerce store.

### Headers

- `Accept` (string, required, default: application/json) — The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.

### Body (application/json)

This endpoint expects an AdjustmentsAbsoluteRequest.

- `items` (list of AdjustmentsAbsoluteRequestItemsItems, required) — One of the `sku`, `product_id`, or `variant_id` is required to identify the item.
- `reason` (string, optional) — Reason for the adjustment operation.

## Response

### 200

Request has been successfully processed.

- `transaction_id` (string, optional) — Unique identifier of performed action.

## Errors

### 422 Unprocessable Entity Error

Incorrect entity.

- `status` (integer, optional) — The HTTP status code generated by the origin server for this occurrence of the problem.
- `title` (string, optional) — Human readable error message.
- `type` (string, optional) — URL identifying the error type. Dereferencing the URL leads to documentation about the error type.
- `errors` (ErrorResponseErrors, optional) — The detailed summary describing the particular error.

## Types

### AdjustmentsAbsoluteRequestItemsItems

### ErrorResponseErrors

The detailed summary describing the particular error.

### AdjustmentsAbsoluteRequestItemsItems0

- `location_id` (integer, required) — ID of location. This is empty in the case of the default allotment.
- `sku` (string, required) — "Stock keeping unit" identifier of an item.
- `quantity` (integer, required) — Amount of items that will be moved.

### AdjustmentsAbsoluteRequestItemsItems1

- `location_id` (integer, required) — ID of location. This is empty in the case of the default allotment.
- `variant_id` (integer, required) — variant_id identifier of item.
- `quantity` (integer, required) — Amount of items that will be moved.

### AdjustmentsAbsoluteRequestItemsItems2

- `location_id` (integer, required) — ID of location. This is empty in the case of the default allotment.
- `product_id` (integer, required) — product_id identifier of item.
- `quantity` (integer, required) — Amount of items that will be moved.

## Examples

**Request**

```json
{
  "items": [
    {
      "location_id": 1,
      "quantity": 1,
      "sku": "RE-130",
      "variant_id": 1
    },
    {
      "location_id": 2,
      "quantity": 1,
      "sku": "RE-130",
      "variant_id": 3
    },
    {
      "location_id": 3,
      "quantity": 1,
      "sku": "sku-4"
    },
    {
      "location_id": 1,
      "quantity": 1,
      "sku": "sku-5"
    },
    {
      "location_id": 1,
      "product_id": 111,
      "quantity": 7,
      "sku": "RE-130"
    }
  ],
  "reason": "Absolute adjustment reason"
}
```

**Response**

```json
{
  "transaction_id": "string"
}
```

**SDK Code**

```python Absolute Adjustment
import requests

url = "https://api.bigcommerce.com/stores/store_hash/v3/inventory/adjustments/absolute"

payload = {
    "items": [
        {
            "location_id": 1,
            "quantity": 1,
            "sku": "RE-130",
            "variant_id": 1
        },
        {
            "location_id": 2,
            "quantity": 1,
            "sku": "RE-130",
            "variant_id": 3
        },
        {
            "location_id": 3,
            "quantity": 1,
            "sku": "sku-4"
        },
        {
            "location_id": 1,
            "quantity": 1,
            "sku": "sku-5"
        },
        {
            "location_id": 1,
            "product_id": 111,
            "quantity": 7,
            "sku": "RE-130"
        }
    ],
    "reason": "Absolute adjustment reason"
}
headers = {
    "Accept": "application/json",
    "X-Auth-Token": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.json())
```

```javascript Absolute Adjustment
const url = 'https://api.bigcommerce.com/stores/store_hash/v3/inventory/adjustments/absolute';
const options = {
  method: 'PUT',
  headers: {
    Accept: 'application/json',
    'X-Auth-Token': '<apiKey>',
    'Content-Type': 'application/json'
  },
  body: '{"items":[{"location_id":1,"quantity":1,"sku":"RE-130","variant_id":1},{"location_id":2,"quantity":1,"sku":"RE-130","variant_id":3},{"location_id":3,"quantity":1,"sku":"sku-4"},{"location_id":1,"quantity":1,"sku":"sku-5"},{"location_id":1,"product_id":111,"quantity":7,"sku":"RE-130"}],"reason":"Absolute adjustment reason"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Absolute Adjustment
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.bigcommerce.com/stores/store_hash/v3/inventory/adjustments/absolute"

	payload := strings.NewReader("{\n  \"items\": [\n    {\n      \"location_id\": 1,\n      \"quantity\": 1,\n      \"sku\": \"RE-130\",\n      \"variant_id\": 1\n    },\n    {\n      \"location_id\": 2,\n      \"quantity\": 1,\n      \"sku\": \"RE-130\",\n      \"variant_id\": 3\n    },\n    {\n      \"location_id\": 3,\n      \"quantity\": 1,\n      \"sku\": \"sku-4\"\n    },\n    {\n      \"location_id\": 1,\n      \"quantity\": 1,\n      \"sku\": \"sku-5\"\n    },\n    {\n      \"location_id\": 1,\n      \"product_id\": 111,\n      \"quantity\": 7,\n      \"sku\": \"RE-130\"\n    }\n  ],\n  \"reason\": \"Absolute adjustment reason\"\n}")

	req, _ := http.NewRequest("PUT", url, payload)

	req.Header.Add("Accept", "application/json")
	req.Header.Add("X-Auth-Token", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Absolute Adjustment
require 'uri'
require 'net/http'

url = URI("https://api.bigcommerce.com/stores/store_hash/v3/inventory/adjustments/absolute")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["Accept"] = 'application/json'
request["X-Auth-Token"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"items\": [\n    {\n      \"location_id\": 1,\n      \"quantity\": 1,\n      \"sku\": \"RE-130\",\n      \"variant_id\": 1\n    },\n    {\n      \"location_id\": 2,\n      \"quantity\": 1,\n      \"sku\": \"RE-130\",\n      \"variant_id\": 3\n    },\n    {\n      \"location_id\": 3,\n      \"quantity\": 1,\n      \"sku\": \"sku-4\"\n    },\n    {\n      \"location_id\": 1,\n      \"quantity\": 1,\n      \"sku\": \"sku-5\"\n    },\n    {\n      \"location_id\": 1,\n      \"product_id\": 111,\n      \"quantity\": 7,\n      \"sku\": \"RE-130\"\n    }\n  ],\n  \"reason\": \"Absolute adjustment reason\"\n}"

response = http.request(request)
puts response.read_body
```

```java Absolute Adjustment
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://api.bigcommerce.com/stores/store_hash/v3/inventory/adjustments/absolute")
  .header("Accept", "application/json")
  .header("X-Auth-Token", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"items\": [\n    {\n      \"location_id\": 1,\n      \"quantity\": 1,\n      \"sku\": \"RE-130\",\n      \"variant_id\": 1\n    },\n    {\n      \"location_id\": 2,\n      \"quantity\": 1,\n      \"sku\": \"RE-130\",\n      \"variant_id\": 3\n    },\n    {\n      \"location_id\": 3,\n      \"quantity\": 1,\n      \"sku\": \"sku-4\"\n    },\n    {\n      \"location_id\": 1,\n      \"quantity\": 1,\n      \"sku\": \"sku-5\"\n    },\n    {\n      \"location_id\": 1,\n      \"product_id\": 111,\n      \"quantity\": 7,\n      \"sku\": \"RE-130\"\n    }\n  ],\n  \"reason\": \"Absolute adjustment reason\"\n}")
  .asString();
```

```php Absolute Adjustment
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PUT', 'https://api.bigcommerce.com/stores/store_hash/v3/inventory/adjustments/absolute', [
  'body' => '{
  "items": [
    {
      "location_id": 1,
      "quantity": 1,
      "sku": "RE-130",
      "variant_id": 1
    },
    {
      "location_id": 2,
      "quantity": 1,
      "sku": "RE-130",
      "variant_id": 3
    },
    {
      "location_id": 3,
      "quantity": 1,
      "sku": "sku-4"
    },
    {
      "location_id": 1,
      "quantity": 1,
      "sku": "sku-5"
    },
    {
      "location_id": 1,
      "product_id": 111,
      "quantity": 7,
      "sku": "RE-130"
    }
  ],
  "reason": "Absolute adjustment reason"
}',
  'headers' => [
    'Accept' => 'application/json',
    'Content-Type' => 'application/json',
    'X-Auth-Token' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Absolute Adjustment
using RestSharp;

var client = new RestClient("https://api.bigcommerce.com/stores/store_hash/v3/inventory/adjustments/absolute");
var request = new RestRequest(Method.PUT);
request.AddHeader("Accept", "application/json");
request.AddHeader("X-Auth-Token", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"items\": [\n    {\n      \"location_id\": 1,\n      \"quantity\": 1,\n      \"sku\": \"RE-130\",\n      \"variant_id\": 1\n    },\n    {\n      \"location_id\": 2,\n      \"quantity\": 1,\n      \"sku\": \"RE-130\",\n      \"variant_id\": 3\n    },\n    {\n      \"location_id\": 3,\n      \"quantity\": 1,\n      \"sku\": \"sku-4\"\n    },\n    {\n      \"location_id\": 1,\n      \"quantity\": 1,\n      \"sku\": \"sku-5\"\n    },\n    {\n      \"location_id\": 1,\n      \"product_id\": 111,\n      \"quantity\": 7,\n      \"sku\": \"RE-130\"\n    }\n  ],\n  \"reason\": \"Absolute adjustment reason\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Absolute Adjustment
import Foundation

let headers = [
  "Accept": "application/json",
  "X-Auth-Token": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [
  "items": [
    [
      "location_id": 1,
      "quantity": 1,
      "sku": "RE-130",
      "variant_id": 1
    ],
    [
      "location_id": 2,
      "quantity": 1,
      "sku": "RE-130",
      "variant_id": 3
    ],
    [
      "location_id": 3,
      "quantity": 1,
      "sku": "sku-4"
    ],
    [
      "location_id": 1,
      "quantity": 1,
      "sku": "sku-5"
    ],
    [
      "location_id": 1,
      "product_id": 111,
      "quantity": 7,
      "sku": "RE-130"
    ]
  ],
  "reason": "Absolute adjustment reason"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.bigcommerce.com/stores/store_hash/v3/inventory/adjustments/absolute")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```